# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.1.0 (2022-08-08)

### Bug Fixes

* add fulfillmentText to context ([2deb866](https://github.com/voiceflow/adapters/commit/2deb866af982f34f8e9ad83f6be77fda1b642e28))
* add intent.action back to schema ([7f056a1](https://github.com/voiceflow/adapters/commit/7f056a1c76e52374c0c8e4e0a4e2c0e350918613))
* add intent.name and intent.displayName to DialogflowESRequest ([fd6210d](https://github.com/voiceflow/adapters/commit/fd6210d13c2ace8239c82a3fa8cc85ad77e52f02))
* add intent.name and intent.displayName to DialogflowESRequest ([cb38191](https://github.com/voiceflow/adapters/commit/cb38191189c41e7b9885b443b9ad2eadb0c0129d))
* card trace handler typings ([cf443ef](https://github.com/voiceflow/adapters/commit/cf443ef5bcbc6093823c12da788d068f0d0bb0b8))
* choice prop in fulfilment messages ([9d08fb3](https://github.com/voiceflow/adapters/commit/9d08fb3e6500715e6609483d7827a0e52b7bc0ce))
* choice step handler - use button.name ([52f14fd](https://github.com/voiceflow/adapters/commit/52f14fd0d6eb7c9f2039f6784cc374dd45fc9a7e))
* **deps:** pin dependencies (vf-000) ([bf2b6c6](https://github.com/voiceflow/adapters/commit/bf2b6c621c244ffb01e0a773089c3ca5a7eb1ea5))
* **deps:** update voiceflow dependencies (automerge) (vf-000) ([#28](https://github.com/voiceflow/adapters/issues/28)) ([7acda3d](https://github.com/voiceflow/adapters/commit/7acda3d1e72de7e4005b7f0206a2e2b4d3a52bc3))
* export card trace handler ([cf740fd](https://github.com/voiceflow/adapters/commit/cf740fd45c4442603b7aaf74cd8b01f782d2b79c))
* extract sessionID from session path ([5e29bb4](https://github.com/voiceflow/adapters/commit/5e29bb4d94147c064a33b8e92fc7ff8b5ca269fa))
* fix handler - pass as function, not object ([4282732](https://github.com/voiceflow/adapters/commit/42827328bec811565ce5fccb754fe748b744b323))
* format sessionID for interact req ([6c4a2b5](https://github.com/voiceflow/adapters/commit/6c4a2b5e1db32e7671291d5084d0193cc72d92c0))
* interact transformer - correctly ref intentName, pass input and slots ([0ed570e](https://github.com/voiceflow/adapters/commit/0ed570e1d31ab472e702390f0b7f949b111a0c5c))
* interact transformer - pass intent name ([cbdc67a](https://github.com/voiceflow/adapters/commit/cbdc67af4cb993afa066442b0a7a95d4cb46cb2f))
* pass trace handlers as function, not object ([0b7537c](https://github.com/voiceflow/adapters/commit/0b7537c745f64537e5dc1c59c65f71c0ed87e47e))
* pass trace handlers as function, not object ([23a6419](https://github.com/voiceflow/adapters/commit/23a641981a7add8e19193588e8bca8427bca661f))
* typo fix ([b13ad1a](https://github.com/voiceflow/adapters/commit/b13ad1a18ffd94c0d4603b9af9ba8af0f358180f))
* use DialogflowESResponse ([a559aed](https://github.com/voiceflow/adapters/commit/a559aed49e85edee2573cced0419d03a38495d4e))
* use DialogflowESResponse type ([7516611](https://github.com/voiceflow/adapters/commit/75166113d7e25bfad34c26970f19aa2900bcdf9b))
* webhookIntent and webhookQueryResult dtos ([c09d73d](https://github.com/voiceflow/adapters/commit/c09d73d5e703c473a018a6f37b918bbf110c9387))

### Features

* add card step to dialogflow adapter (wip) ([d2a8eca](https://github.com/voiceflow/adapters/commit/d2a8ecaec8595e477fdc11d1ef2af4b885581ffc))
* add choice step component and choice handler ([6ec0d2d](https://github.com/voiceflow/adapters/commit/6ec0d2da42055d92d7d174c1eb59630911783534))
* add choice/audio/speak steps for google adapter (VF-3675) ([#13](https://github.com/voiceflow/adapters/issues/13)) ([2e6adad](https://github.com/voiceflow/adapters/commit/2e6adad1c39229aabb03c273482ae4ef095b3e43))
* add end trace handler ([7fb7ddd](https://github.com/voiceflow/adapters/commit/7fb7ddd80795ed7a943787d1cf7967b08117590f))
* add translation layer from google requests to voiceflow requests (VF-3673) ([#10](https://github.com/voiceflow/adapters/issues/10)) ([ba449f7](https://github.com/voiceflow/adapters/commit/ba449f78c73829381d8d4452b87d80856c7fdfdf))
* choice step - pass choices as suggestions (wip) ([4ef6065](https://github.com/voiceflow/adapters/commit/4ef606546afeeb6087e1cd9176f7066cb9d9460a))
* choice step - pass choices as suggestions (wip) ([9809245](https://github.com/voiceflow/adapters/commit/9809245c205bd1a199c9212963ee68851dfefab6))
* choice step handler ([509b4a5](https://github.com/voiceflow/adapters/commit/509b4a58494e1142d0e644fb4d0d6f85ba133f59))
* improve steps, fix injection, steps, errors ([#6](https://github.com/voiceflow/adapters/issues/6)) ([067a8b0](https://github.com/voiceflow/adapters/commit/067a8b0c8cc5c7df5cebdcdf0b1c7126a59db4ca))
* init nestjs monorepo ([f313fad](https://github.com/voiceflow/adapters/commit/f313fad39833748fcfa87225df0d38097ca7bab9))
* paylaod component ([9e0799e](https://github.com/voiceflow/adapters/commit/9e0799e48fae3750fa8f9f76b8111534a2757d4e))
* setup repo, patterns (VF-000) ([#3](https://github.com/voiceflow/adapters/issues/3)) ([bbe6ab1](https://github.com/voiceflow/adapters/commit/bbe6ab1f1cac8ac1e4e62220b3ee3d222ee37004)), closes [#2](https://github.com/voiceflow/adapters/issues/2)
* typebox schemas & validator, route versioning (VF-000) ([#18](https://github.com/voiceflow/adapters/issues/18)) ([fc88193](https://github.com/voiceflow/adapters/commit/fc88193c6d74ab3f9d93c7f1d3ad17cb96e102a3))
* upgrade packages, refine testing ([05a4911](https://github.com/voiceflow/adapters/commit/05a49118afa5ef8351e2d60af1397a9dd8f817f6))
* visual trace handler - add accessibilityText ([ba32161](https://github.com/voiceflow/adapters/commit/ba321618532af3d7be1bc30f5f981e9e7eace07e))
* zod validation pipe (VF-000) ([#11](https://github.com/voiceflow/adapters/issues/11)) ([5374d5f](https://github.com/voiceflow/adapters/commit/5374d5fc997d9215eaf0e5f0affabbe19dfc3c4b))
