"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InteractController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const runtime_sdk_nestjs_1 = require("@voiceflow/runtime-sdk-nestjs");
const typebox_validator_nestjs_1 = require("@voiceflow/typebox-validator-nestjs");
const DialogflowESRequest_dto_1 = require("./dto/DialogflowESRequest.dto");
const DialogflowESResponse_dto_1 = require("./dto/DialogflowESResponse.dto");
const interact_service_1 = require("./interact.service");
const request_transformer_1 = require("./transformers/request.transformer");
let InteractController = class InteractController {
    constructor(interactService, requestTransformer) {
        this.interactService = interactService;
        this.requestTransformer = requestTransformer;
    }
    async interact(versionID, body) {
        const request = this.requestTransformer.transform(body);
        return this.interactService.handle({
            ...request,
            versionID,
        });
    }
};
__decorate([
    (0, common_1.Version)('1beta1'),
    (0, common_1.Post)(':versionID'),
    (0, swagger_1.ApiOperation)({ summary: 'Interact' }),
    (0, swagger_1.ApiBody)({ schema: DialogflowESRequest_dto_1.DialogflowESRequest }),
    (0, swagger_1.ApiOkResponse)({ schema: DialogflowESResponse_dto_1.DialogflowESResponse }),
    __param(0, (0, common_1.Param)('versionID')),
    __param(1, (0, common_1.Body)((0, typebox_validator_nestjs_1.TypeboxValidationPipe)(DialogflowESRequest_dto_1.DialogflowESRequest))),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object]),
    __metadata("design:returntype", Promise)
], InteractController.prototype, "interact", null);
InteractController = __decorate([
    (0, common_1.Controller)('interact'),
    (0, common_1.UseFilters)(runtime_sdk_nestjs_1.HttpErrorFilter),
    (0, swagger_1.ApiTags)('Conversation'),
    __metadata("design:paramtypes", [interact_service_1.InteractService,
        request_transformer_1.InteractRequestTransformer])
], InteractController);
exports.InteractController = InteractController;
