"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cardTrace = void 0;
const base_types_1 = require("@voiceflow/base-types");
const runtime_sdk_1 = require("@voiceflow/runtime-sdk");
exports.cardTrace = (0, runtime_sdk_1.CardTraceComponent)(({ context }, trace) => {
    const { card } = trace.payload;
    if (card.type === base_types_1.BaseNode.Card.CardType.SIMPLE) {
        context.fulfillmentMessages.push({
            card: {
                title: card.title,
                subtitle: card.text,
            },
        });
    }
    else if (card.type === base_types_1.BaseNode.Card.CardType.STANDARD) {
        context.fulfillmentMessages.push({
            card: {
                title: card.title,
                subtitle: card.text,
                imageUri: card.image?.largeImageUrl ?? '',
            },
        });
    }
    return context;
});
