"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InteractRequestTransformer = void 0;
const common_1 = require("@nestjs/common");
let InteractRequestTransformer = class InteractRequestTransformer {
    getGoogleProtobufValue(value) {
        if (value.boolValue != null)
            return value.boolValue;
        if (value.listValue != null)
            return value.listValue.values?.map((value) => this.getGoogleProtobufValue(value));
        if (value.nullValue != null)
            return null;
        if (value.numberValue != null)
            return value.numberValue;
        if (value.stringValue != null)
            return value.stringValue;
        if (value.structValue != null)
            return Object.fromEntries(Object.entries(value.structValue).map(([key, value]) => [key, this.getGoogleProtobufValue(value)]));
        return null;
    }
    transform(request) {
        const slots = Object.entries(request.queryResult.parameters ?? {});
        const action = {
            type: 'intent',
            payload: {
                query: request.queryResult.queryText,
                intent: {
                    name: request.queryResult.intent.displayName,
                },
                entities: slots.map(([key, value]) => {
                    return {
                        name: key,
                        value: JSON.stringify(this.getGoogleProtobufValue(value)),
                    };
                }),
                confidence: request.queryResult.intentDetectionConfidence ?? undefined,
            },
        };
        // TODO: In google-runtime, we store the entire path in storage.
        // We will have to decode this on general-runtime, then possibly migrate existing sessions that reference the original request.session.
        const sessionID = encodeURIComponent(request.session);
        return {
            action,
            sessionID,
        };
    }
};
InteractRequestTransformer = __decorate([
    (0, common_1.Injectable)()
], InteractRequestTransformer);
exports.InteractRequestTransformer = InteractRequestTransformer;
