"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const app_module_1 = require("./app.module");
const docs_service_1 = require("./docs/docs.service");
const env_service_1 = require("./env/env.service");
async function bootstrap() {
    const app = await core_1.NestFactory.create(app_module_1.AppModule);
    // Service references
    const docsService = app.get(docs_service_1.DocsService);
    const envService = app.get(env_service_1.EnvService);
    // Versioning
    app.enableVersioning({
        type: common_1.VersioningType.URI,
        defaultVersion: '1alpha1',
    });
    // Open API Schema
    docsService.setup(app);
    await app.listen(envService.PORT);
}
bootstrap();
