import { INestApplication, Injectable } from '@nestjs/common';
import { SwaggerModule } from '@nestjs/swagger';
// eslint-disable-next-line @typescript-eslint/consistent-type-imports
import type { Response } from 'express';

import { OpenAPIDocument } from './docs.document';

@Injectable()
export class DocsService {
  setup(app: INestApplication) {
    const document = SwaggerModule.createDocument(app, OpenAPIDocument());
    app.getHttpAdapter().get('/schema.json', (_req, res: Response) => res.json(document));
  }
}
