import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import path from 'path';

import { EnvService } from './env.service';
import { validate } from './env.validation';

const envFilePath: string[] = [];

if (process.env.NODE_ENV) {
  envFilePath.push(path.join(__dirname, '..', '..', `.env.${process.env.NODE_ENV}`));
}

envFilePath.push(path.join(__dirname, '..', '..', '.env'));

@Module({
  imports: [
    ConfigModule.forRoot({
      envFilePath,
      validate,
    }),
  ],
  providers: [EnvService],
  exports: [EnvService],
})
export class EnvModule {}
