import { Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';

import { EnvironmentVariables } from './env.interface';

@Injectable()
export class EnvService {
  public constructor(private readonly configService: ConfigService<EnvironmentVariables, true>) {}

  public PORT = this.configService.get<number>('PORT');

  public RUNTIME_AUTHORIZATION = this.configService.get<string>('RUNTIME_AUTHORIZATION');

  public RUNTIME_URL = this.configService.get<string>('RUNTIME_URL');
}
