import { TypeboxValidator } from '@voiceflow/typebox-validator';

import { EnvironmentVariables } from './env.interface';

export function validate(config: Record<string, unknown>) {
  const { valid, errors } = new TypeboxValidator({}).validate(EnvironmentVariables, config);
  if (!valid) throw new Error(JSON.stringify(errors));
  return config;
}
