import { Static, Type } from '@sinclair/typebox';

export const DialogflowESRequest = Type.Object({
  session: Type.String(),
  responseId: Type.Optional(Type.String()),
  queryResult: Type.Object({
    queryText: Type.String(),
    intentDetectionConfidence: Type.Optional(Type.Union([Type.Any(), Type.Null()])),
    intent: Type.Object({
      name: Type.String(),
      displayName: Type.String(),
      action: Type.Optional(Type.String()),
    }),
    parameters: Type.Record(Type.String(), Type.Any()),
  }),
  originalDetectIntentRequest: Type.Optional(
    Type.Object({
      source: Type.String(),
      version: Type.Optional(Type.String()),
      payload: Type.Optional(Type.Record(Type.String(), Type.Any())),
    })
  ),
});

export type DialogflowESRequest = Static<typeof DialogflowESRequest>;
