import { Injectable } from '@nestjs/common';
import { RuntimeInteractRequest } from '@voiceflow/runtime-sdk';
import { VoiceflowRuntime } from '@voiceflow/runtime-sdk-nestjs';

import { DialogflowESContext } from './context.class';
import { DialogflowESResponse } from './dto/DialogflowESResponse.dto';

@Injectable()
export class InteractService {
  constructor(private runtime: VoiceflowRuntime<DialogflowESContext>) {}

  public async handle(request: RuntimeInteractRequest): Promise<DialogflowESResponse> {
    const context = new DialogflowESContext({
      fulfillmentMessages: [],
    });

    return this.runtime.interact(context, request);
  }
}
