import { DynamicModule, Module } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { VoiceflowRuntime, VoiceflowRuntimeModule } from '@voiceflow/runtime-sdk-nestjs';

import { EnvModule } from '@/env/env.module';
import { EnvService } from '@/env/env.service';

import { SDKService } from './sdk.service';

@Module({})
export class SDKModule {
  static forRoot(): DynamicModule {
    return {
      global: true,
      imports: [
        EnvModule,
        VoiceflowRuntimeModule.forRootAsync({
          providers: [EnvService, ConfigService],
          useClass: SDKService,
        }),
      ],
      module: VoiceflowRuntimeModule,
      providers: [VoiceflowRuntime],
      exports: [VoiceflowRuntime],
    };
  }
}
