import { Injectable } from '@nestjs/common';
import { VoiceflowRuntimeModuleOptions } from '@voiceflow/runtime-sdk-nestjs';

import { EnvService } from '@/env/env.service';
import { DialogflowESContext } from '@/interact/context.class';
import { traces } from '@/interact/traces/index';

@Injectable()
export class SDKService implements VoiceflowRuntimeModuleOptions<DialogflowESContext> {
  constructor(private readonly envService: EnvService) {}

  public readonly authorization = this.envService.RUNTIME_AUTHORIZATION!;

  public readonly url = this.envService.RUNTIME_URL!;

  public readonly traces = traces;
}
