import { BaseNode } from '@voiceflow/base-types';
import { CardTraceComponent } from '@voiceflow/runtime-sdk';

import { DialogflowESContext } from '@/interact/context.class';

export const cardTrace = CardTraceComponent<DialogflowESContext>(({ context }, trace) => {
  const { card } = trace.payload;

  if (card.type === BaseNode.Card.CardType.SIMPLE) {
    context.fulfillmentMessages.push({
      card: {
        title: card.title,
        subtitle: card.text,
      },
    });
  } else if (card.type === BaseNode.Card.CardType.STANDARD) {
    context.fulfillmentMessages.push({
      card: {
        title: card.title,
        subtitle: card.text,
        imageUri: card.image?.largeImageUrl ?? '',
      },
    });
  }
  return context;
});
