import { VersioningType } from '@nestjs/common';
import { NestFactory } from '@nestjs/core';

import { AppModule } from './app.module';
import { DocsService } from './docs/docs.service';
import { EnvService } from './env/env.service';

async function bootstrap() {
  const app = await NestFactory.create(AppModule);

  // Service references
  const docsService = app.get(DocsService);
  const envService = app.get(EnvService);

  // Versioning
  app.enableVersioning({
    type: VersioningType.URI,
    defaultVersion: '1alpha1',
  });

  // Open API Schema
  docsService.setup(app);

  await app.listen(envService.PORT);
}
bootstrap();
